Page 3 of 5 FirstFirst 12345 LastLast
Results 21 to 30 of 45

Thread: Howto: Build the svn MPlayer under the latest release version of Ubuntu

  1. #21
    Join Date
    Dec 2006
    Beans
    6,935

    Re: Howto: Build the svn MPlayer under the latest release version of Ubuntu

    So liblivemedia-dev has gone for the time being, I will experiment a little.

    The winds have changed a little on these Forums, both this guide and my vlc guide have been very, very quiet which does not match with the large amount of work I have put into them. I am starting to wonder if perhaps such guides are in fact a relic of the days when the media needs of Ubuntu were not particularly well met and in the present day they only really cater for the needs of a small handful of enthusiasts. Hmmmm.....
    You think that's air you're breathing now?

  2. #22
    Join Date
    Nov 2008
    Location
    Metro Boston
    Beans
    8,835
    Distro
    Kubuntu 14.04 Trusty Tahr

    Re: Howto: Build the svn MPlayer under the latest release version of Ubuntu

    Speaking personally, I haven't needed to compile mplayer in about a year now. The repository version uses mplayer2 which resolves my issues with the original mplayer when it comes to things like Matroska ordered chapters and good support for A** subs.
    If you ask for help, please have the courtesy to check for responses and thank the people who helped you.

    Blog · Linode System Administration Guides · Android Apps for Ubuntu Users

  3. #23
    Join Date
    Dec 2006
    Beans
    6,935

    Re: Howto: Build the svn MPlayer under the latest release version of Ubuntu

    Indeed..... I have a 2 week break coming up where I will be weighing this and a few other things up...
    You think that's air you're breathing now?

  4. #24
    Join Date
    Jun 2007
    Beans
    13,070

    Re: Howto: Build the svn MPlayer under the latest release version of Ubuntu

    Quote Originally Posted by andrew.46 View Post
    The winds have changed a little on these Forums, both this guide and my vlc guide have been very, very quiet which does not match with the large amount of work I have put into them. I am starting to wonder if perhaps such guides are in fact a relic of the days when the media needs of Ubuntu were not particularly well met and in the present day they only really cater for the needs of a small handful of enthusiasts. Hmmmm.....
    You know I've felt that for some time now, things progress, get old, whatever.

    Here though don't think I'd be using ubuntu without some newer, altered, or repaired packages, so will continue in that regard, at least for a while.
    Recently have decided to let LP take care of appropriate sources, do the building, achieving, keeping track ect. Actually is quite convenient. (and certainly more orderly

  5. #25
    Join Date
    Dec 2006
    Beans
    6,935

    Re: Howto: Build the svn MPlayer under the latest release version of Ubuntu

    I have just finished a BA majoring in English Literature so this all reminds me of:

    Code:
    The lights begin to twinkle from the rocks:
    The long day wanes: the slow moon climbs: the deep
    Moans round with many voices. Come, my friends,
    'Tis not too late to seek a newer world.
    Push off, and sitting well in order smite
    The sounding furrows; for my purpose holds
    To sail beyond the sunset, and the baths
    Of all the western stars.....
    where the aged Ulysses strikes out one last time
    You think that's air you're breathing now?

  6. #26
    Join Date
    Nov 2013
    Beans
    1

    Re: Howto: Build the svn MPlayer under the latest release version of Ubuntu

    Quote Originally Posted by andrew.46 View Post
    I have just finished a BA majoring in English Literature so this all reminds me of:

    Hi Andrew,

    Just wanted to say, obsolete or not, I just used your guide to install the latest MPlayer from SVN. Happy to say that everything worked just right.

    Congrats on your BA!

    R

  7. #27
    Join Date
    May 2007
    Beans
    105
    Distro
    Ubuntu 11.04 Natty Narwhal

    Re: Howto: Build the svn MPlayer under the latest release version of Ubuntu

    Andrew,

    Thank you very much for the wonderful guide. I am installing mplayer onto a fresh Mint 16 as I type!

    Thank you!
    Crackers don't matter!
    Asus G53SX-A1 with Ubuntu

  8. #28
    Join Date
    Dec 2006
    Beans
    6,935

    Re: Howto: Build the svn MPlayer under the latest release version of Ubuntu

    Thanks for the two posts above
    You think that's air you're breathing now?

  9. #29
    Join Date
    Mar 2014
    Beans
    10

    Re: Howto: Build the svn MPlayer under the latest release version of Ubuntu

    Hi andrew.46, thank you for your effort in making it easier to have mplayer/mencoder updated.

    I'm and old newcomer (I lost my previous account...). Linux Mint KDE 13 installed, Precise Pangolin inside, 64bit.
    I know your tuto uses a more recent Ubuntu version. But I tried to use it, and could not compile.
    When I execute in terminal:
    Code:
    make -j 2
    I get the following error:
    Code:
    libvo/vo_dfbmga.c: In function 'control':
    libvo/vo_dfbmga.c:1412:11: error: 'VOCTRL_GUI_NOWINDOW' undeclared (first use in this function)
    libvo/vo_dfbmga.c:1412:11: note: each undeclared identifier is reported only once for each function it appears in
    libvo/vo_fbdev.c: In function 'vt_set_textarea':
    libvo/vo_fbdev.c:760:14: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
    make: *** [libvo/vo_dfbmga.o] Error 1
    and exits.
    Is this related to an old Ubuntu version?. Can I solve it?

  10. #30
    Join Date
    Nov 2008
    Location
    Metro Boston
    Beans
    8,835
    Distro
    Kubuntu 14.04 Trusty Tahr

    Re: Howto: Build the svn MPlayer under the latest release version of Ubuntu

    Is there some reason the stock mplayer binary in the repositories doesn't meet your needs? It uses the mplayer2 fork and does everything I could ask of it including support for Matroska ordered chapters. I haven't compiled an mplayer binary in at least a year now, and I use to do so quite regularly after the code fork.

    So, what precisely do you need that the current binary release does not contain?
    If you ask for help, please have the courtesy to check for responses and thank the people who helped you.

    Blog · Linode System Administration Guides · Android Apps for Ubuntu Users

Page 3 of 5 FirstFirst 12345 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •